TARGET:=gesturerecognition6
	
EMOAW_BUILD_DIR=../../build

INCFLAGS+=-I${EMOAW_BUILD_DIR}/include/
INCFLAGS+=-I./

LIBDIRS+=-L${EMOAW_BUILD_DIR}/lib

LIBS+=-lopencv_highgui
LIBS+=-lopencv_core
LIBS+=-lopencv_imgcodecs
LIBS+=-lopencv_imgproc

CPPFLAGS+=-Werror -Wall -g -std=c++14

SOURCES=hand_gestures.cpp
SOURCES+=training_set6.cpp
SOURCES+=elliptic_fourier_descriptors.cpp

OBJ:=$(notdir $(SOURCES:.cpp=.o))

all: $(TARGET)

$(TARGET): $(OBJ)
	g++ ${CPPFLAGS} $^ ${INCFLAGS} ${LIBDIRS} ${LIBS} -o $@ `pkg-config --cflags --libs opencv`

%.o: %.cpp
	g++ ${CPPFLAGS} $^ ${INCFLAGS} ${LIBDIRS} ${LIBS} -c $<

install:
	export LD_LIBRARY_PATH=/home/frederick/emoaw_practice/build/lib/:${LD_LIBRARY_PATH}

clean:
	rm *.o
	rm ${TARGET}
